package com.bokecc.dwlivedemo.utils;


public class LoginUtils {

    /**
     * 获取直播或回放部分登录状态码对应的描述信息
     * @param code 登录失败状态码
     * @return 描述信息
     */
    public static String getErrorMessage(int code,String msg){
        String message = "";
        switch (code){
            case 10000000:
                //无效参数
                message = "请求参数不正确，请检查后重试。";
                break;
            case 20270008:
                // token 不存在
                message = "您的Token不存在，请重新登录。";
                break;
            case 10000001:
                //系统错误
                message = "系统出现异常，请稍后再试。";

                break;
            case 20200002:
                //账户过期
                message = "您的账户已过期，请联系客服处理。";

                break;
            case 10000034:
                //用户未登录
                message = "您还未登录，请先登录后再试。";

                break;
            case 10000005:
                //回放不存在
                message = "该回放不存在或已被删除，请检查后重试。";

                break;
            case 10000007:
                // 直播不存在
                message = "该直播不存在或已被删除，请检查后重试。";

                break;
            case 10000006:
                // 直播间不存在
                message = "该直播间不存在或已被删除，请检查后重试。";

                break;
            case 20290005:
                // 直播参数错误
                message = "请求参数错误，请检查后重试。";

                break;
            case 20270000:
                // api登录调用失败
                message = "api登录调用失败，请检查网络连接后重试。";

                break;
            case 20270011:
                // api登录调用超时
                message = "api登录调用超时，请检查网络连接后重试。";

                break;
            case 20270002:
                // 密码错误
                message = "名称或密码错误，请检查后重试。";

                break;
            case 20270001:
                // 回放参数错误
                message = "请求参数错误，请检查后重试。";

                break;
            case 20270003:
                // 白名单验证失败
                message = "登录失败，请联系管理员添加你至白名单";

                break;
            case 20270004:
                // 视频不属于此账户
                message = "该视频不属于当前账户，请联系客服。";

                break;
            case 20270005:
                // 视频不可用
                message = "该视频不可用，请联系客服。";

                break;
            case 20270006:
                // 请求点播获取播放地址失败
                message = "获取播放地址失败，请检查网络连接后重试。";

                break;
            case 20270010:
                //  请求回放获取打点信息失败
                message = "获取打点信息失败，请联系客服。";

                break;
            case 20270007:
                //  播放地址不存在
                message = "该播放地址不存在或已被删除，请联系客服。";

                break;
            case 20290009:
                //  不合法的产品线
                message = "不合法的产品线，请联系客服。";

                break;
            case 20270012:
                //  登记观看手机号验证失败
                message = "手机号验证失败，请检查输入后重试。";

                break;
            case 20270013:
                //  登记观看失败
                message = "登记观看失败，请联系客服。";

                break;
            case 20270014:
                //  登记观看手机号验证失败
                message = "手机号验证失败，请检查输入后重试。";

                break;
            case 20270015:
                //  登记观看发送短信失败
                message = "发送短信失败，请稍后再试。";

                break;
            case 20270016:
                //   直播间未开启直播转回放功能
                message = "该直播间未开启直播转回放功能，请联系客服。";

                break;
            case 20270017:
                //   回放直播间与登录直播间不符
                message = "回放直播间与登录直播间不符，请联系客服。";

                break;
            case 20270018:
                //   批量获取视频信息失败
                message = "批量获取视频信息失败，请联系客服。";

                break;
            case 20270019:
                //   视频信息错误,通用状态码,具体提示信息可以覆盖
                message = "视频信息错误，请联系客服。";

                break;
            case 20270020:
                //   极速回放视频没有内容,可能是系统错误也可能是参数错误
                message = "该极速回放视频没有内容，请联系客服。";

                break;
            case 20290015:
                //   企微绑定失效
                message = "企微绑定已失效，请重新绑定。";

                break;
            case 20290016:
                //   非法的企微绑定关系
                message = "非法的企微绑定关系，请重新绑定。";

                break;
            case 20290017:
                //   该企微用户未在当前直播间下被授权
                message = "该企微用户未在当前直播间下被授权，请联系管理员授权。";

                break;
            case 20290001:
                //  接口验证返回 message，直接展示
                message = msg;

                break;
            default:
                message = "登录异常，请稍候重试";
        }

        return message;
    }
}
